Data - Retrieve Object Data

Nesneleri belirtilen ölçütlere göre alır.

POST http://<Servername>/OperationsManager/data/scomObjects

İstek Gövdesi

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

Name Tür Description
criteria

string

Aranacak ölçütleri belirtin.

Yanıtlar

Name Tür Description
200 OK

ScopeDataResponse

TAMAM. Belirtilen ölçütlere göre başarıyla alınan nesneler.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Örnekler

RetrieveSCOMObjects

Örnek isteği

POST http://<Servername>/OperationsManager/data/scomObjects

[
  "DisplayName LIKE '%unix%'"
]

Örnek yanıt

{
  "scopeDatas": [
    {
      "id": "dfc9175d-c0bc-4166-7e0a-0f40c4d4fc6e",
      "displayName": "UNIX/Linux Computer Group",
      "className": "UNIX/Linux Computer Group",
      "path": null,
      "fullName": "Microsoft.Unix.ComputerGroup"
    }
  ]
}

Tanımlar

Name Description
ScopeData
ScopeDataResponse

ScopeData

Name Tür Description
className

string

Sınıf Adı

displayName

string

Görüntü adı

fullName

string

Adı ve Soyadı

id

string

Kimlik

path

string

Yol

ScopeDataResponse

Name Tür Description
scopeDatas

ScopeData[]

Kapsam Verileri